Naar hoofdinhoud
omissions

Update an existing omission.

PUT
/omission/{omissionId}
X-API-Keystringheaderverplicht
omissionIdstringverplicht

The id of the omission to perform the action on.

Body

application/json

Omission object.

create_waitdays_absenceinteger

Whether the waiting days of this omission are settled by creating a leave absence for them. Returned as 1 (yes) or 0 (no).

created_atstring

The date and time this omission was created.

created_byinteger

The ID of the backend user who created this omission, or 0 when it was not created by a backend user.

deleted_atstring

The date and time this omission was deleted, or null when it is not deleted.

deleted_byinteger

The ID of the backend user who deleted this omission, or 0 when it was not deleted by a backend user.

descriptionstring

The description of this omission.

end_datestring

The end date of this omission, or null when it is ongoing.

end_timestring

The end time of this omission when it does not cover the entire day; only the time of day is used.

entire_dayinteger

Whether this omission covers the entire day. Returned as 1 (yes) or 0 (no).

hoursstring

A legacy hours field of this omission, as a numeric string, that is no longer read; the hours follow from the contract.

idinteger

The ID of this omission (non-attendance).

internal_descriptionstring

The internal comment on this omission.

pause_timeinteger

The break time of this omission in minutes when it does not cover the entire day.

start_datestringverplicht

The start date of this omission.

start_timestring

The start time of this omission when it does not cover the entire day; only the time of day is used.

updated_atstring

The date and time this omission was last updated.

updated_byinteger

The ID of the backend user who last updated this omission, or 0 when it was not updated by a backend user.

user_idintegerverplicht

The ID of the user associated with this omission.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.